Loading...
Searching...
No Matches
type_traits.hh File Reference
`#include <type_traits>`
`#include <dune/common/hybridutilities.hh>`
`#include <dune/common/typeutilities.hh>`

Go to the source code of this file.

## Classes

struct | Dune::Functions::HasStaticSize< T >
| Check if type is a statically sized container. More...
struct | Dune::Functions::StaticSizeOrZero< T >
| Obtain size of statically sized container, or 0 if dynamic size. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Typedefs

template<class T, class... Args>
using | Dune::Functions::enableIfConstructible
| Helper to constrain forwarding constructors.
template<class T>
using | Dune::Functions::StaticSize
| Obtain size of statically sized container as integral_constant, or fail.

## Variables

template<class T>
constexpr bool | Dune::Functions::HasStaticSize_v = HasStaticSize<T>::value
| A variable template representing the value of HasStaticSize.